Search document summaries
curl --request POST \
--url https://api.intelligence.io.solutions/api/r2r/v3/documents/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"search_settings": {
"use_hybrid_search": false,
"use_semantic_search": true,
"use_fulltext_search": false,
"filters": "<string>",
"limit": 10,
"offset": "0",
"include_metadatas": true,
"include_scores": true,
"search_strategy": "vanilla",
"hybrid_settings": {
"full_text_weight": 1,
"semantic_weight": 5,
"full_text_limit": 200,
"rrf_k": 50
},
"chunk_settings": {
"probes": 10,
"ef_search": 40,
"enabled": true
},
"graph_settings": {
"limits": "<array>",
"enabled": true
},
"num_sub_queries": 5
}
}
'import requests
url = "https://api.intelligence.io.solutions/api/r2r/v3/documents/search"
payload = {
"query": "<string>",
"search_settings": {
"use_hybrid_search": False,
"use_semantic_search": True,
"use_fulltext_search": False,
"filters": "<string>",
"limit": 10,
"offset": "0",
"include_metadatas": True,
"include_scores": True,
"search_strategy": "vanilla",
"hybrid_settings": {
"full_text_weight": 1,
"semantic_weight": 5,
"full_text_limit": 200,
"rrf_k": 50
},
"chunk_settings": {
"probes": 10,
"ef_search": 40,
"enabled": True
},
"graph_settings": {
"limits": "<array>",
"enabled": True
},
"num_sub_queries": 5
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
search_settings: {
use_hybrid_search: false,
use_semantic_search: true,
use_fulltext_search: false,
filters: '<string>',
limit: 10,
offset: '0',
include_metadatas: true,
include_scores: true,
search_strategy: 'vanilla',
hybrid_settings: {full_text_weight: 1, semantic_weight: 5, full_text_limit: 200, rrf_k: 50},
chunk_settings: {probes: 10, ef_search: 40, enabled: true},
graph_settings: {limits: '<array>', enabled: true},
num_sub_queries: 5
}
})
};
fetch('https://api.intelligence.io.solutions/api/r2r/v3/documents/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"collection_ids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"owner_id": "123e4567-e89b-12d3-a456-426614174000",
"document_type": "pdf",
"metadata": {
"title": "Sample Document"
},
"version": "1.0",
"title": "Sample Document",
"size_in_bytes": 123456,
"ingestion_status": "pending",
"extraction_status": "pending",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"ingestion_attempt_number": 0,
"summary": "A summary of the document",
"summary_embedding": [
0.1,
0.2,
0.3
],
"total_tokens": 1000
}
]
}{}""Documents
Search document summaries
Perform a search query on the automatically generated document summaries in the system.
POST
/
api
/
r2r
/
v3
/
documents
/
search
Search document summaries
This endpoint allows for complex filtering of search results using PostgreSQL-based queries. Filters can be applied to various fields such as document_id, and internal metadata values.
Allowed operators include
eq, neq, gt, gte, lt, lte, like, ilike, in, and nin.Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The search query to perform.
Default value of custom allows full control over search settings. Pre-configured search modes: basic: A simple semantic-based search. advanced: A more powerful hybrid search combining semantic and full-text. custom: Full control via search_settings. If filters or limit are provided alongside basic or advanced, they will override the default settings for that mode.
Available options:
basic, advanced, custom Settings for document search
Show child attributes
Show child attributes
Response
200
Show child attributes
Show child attributes
Was this page helpful?
⌘I